#pragma once

#include "CoreMinimal.h"
#include "ShotByRank.generated.h"

class UProceduralCameraShotData;

USTRUCT(BlueprintType)
struct FShotByRank
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UProceduralCameraShotData* SelectedShot;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<UProceduralCameraShotData*> Shots;

public:
	DBDPROCEDURALCAMERA_API FShotByRank();
};

FORCEINLINE uint32 GetTypeHash(const FShotByRank) { return 0; }
